utils = require("utils")

local mockPlaydate = {
    TEST_MODE = true,
    graphics = {
        animator = {
            new = function()
                return utils.staticAnimator(0)
            end,
        },
    },
}

---@type Announcer
local mockAnnouncer = {
    say = function(self, message)
        self.lastMessage = message
    end,
}

return { mockPlaydate, mockAnnouncer }
